Skip to content
GAMPEONCreate
New project

View an image for moderation

GET
/v1/moderation/media/{file}
curl --request GET \
--url https://api.gampeon.com/v1/moderation/media/example \
--header 'Authorization: Bearer <token>'

Also works for removed and replaced images that are still kept for a report or an appeal. Not cached.

Requires the role moderator or admin.

Not available with access tokens.

file
required
string

<32 hex characters>.<png|jpg|webp>, from an image path like avatar or cover

The image

Media typeimage/*
string format: binary

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: forbidden, token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found, file_missing

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: storage_disabled

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback